ASA College
ASA Mail ASA Jobs Portal Live Chat
Learn excellent skills for exciting careers
CALL US TODAY
(877) 679-8768

 
ASA Summer Programs - Business, Health Disciplines, Computers, Criminal Justice, Arts and Sciences
Home > Academics >Technical Requirements Print this page

Moodle Technical Requirements

Hardware

To access Moodle, your computer should have the following minimum specifications:

  • PC Configuration
    • 400 Megahertz Intel Pentium III Processor (933 preferred)
    • o64 Megabytes RAM (128 or more preferred)
    • 6-Gigabyte Hard Drive
    • 56.6 Kbps Modem (or Cable Modem / DSL if available)
    • Windows 95, 98, 2000, NT, or ME
  • Mac Configuration
    • 400 Megahertz iMac (933 preferred)
    • 64 MB RAM (128 or more preferred)
    • 6 Gigabytes Hard Drive
    • 56.6 K Modem (or Cable Modem / DSL if available)
    • Macintosh OS 9

Browsers

The following web browsers are supported by Moodle:

Browser Settings

  • Security Level - set at Medium
  • Accept all cookies (How to Enable Cookies)
  • Enable JavaScript
  • Enable Java (if using Virtual Classroom)

To reset the settings in Internet Explorer, you should click on Tools in the menu bar at the top of your browser. Then click on Internet Options and find and set proper features under the Security tab and Custom Level button.

It is also recommended to clear browser cache and delete cookies regularly to delete previous Blackboard sessions. To do that, click Tools in the menu bar at the top of your browser. Then click on Internet Options and click on the delete cookies and temporary files buttons.

Viewers/Players/Plug-ins

To view or access course content, you may need one or more of the following, depending on the type of content posted in the course:

  • Microsoft Word viewer is recommended as faculty members frequently use Word for their course documents (free download)
  • PowerPoint viewer for PowerPoint presentations (free download)
  • Adobe Acrobat Reader for PDF files (free download)
  • Adobe Flash Player for Adobe Flash content (free download)
  • Java Plug-in - required for the Virtual Classroom to run.  If you use the Virtual Classroom tool, the latest update to blackboard requires that Windows users install the latest version of Java on your computer.   You have to remove the previous version of java plug-in and then install the new version: Java plug-in 1.5.0_07  (free download)